<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.cheng.blzb.widget.NoScrollViewPager
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/rg_navigation"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_e8e8e8"
        app:layout_constraintBottom_toTopOf="@id/rg_navigation" />

    <RadioGroup
        android:id="@+id/rg_navigation"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_60"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent">

        <RadioButton
            android:id="@+id/rb_home"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:button="@null"
            android:checked="true"
            android:drawableTop="@drawable/selector_home_navigation_icon"
            android:gravity="center"
            android:text="首页"
            android:textColor="@drawable/selector_main_navigation_color"
            android:textSize="@dimen/sp_10" />

        <RadioButton
            android:id="@+id/rb_push"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:button="@null"
            android:drawableTop="@drawable/selector_push_navigation_icon"
            android:gravity="center"
            android:text="推送"
            android:textColor="@drawable/selector_main_navigation_color"
            android:textSize="@dimen/sp_10" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_publish"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="0.5"
            android:src="@mipmap/ic_publish" />

        <RadioButton
            android:id="@+id/rb_merchant"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:button="@null"
            android:drawableTop="@drawable/selector_merchant_navigation_icon"
            android:gravity="center"
            android:text="合作商"
            android:textColor="@drawable/selector_main_navigation_color"
            android:textSize="@dimen/sp_10" />

        <RadioButton
            android:id="@+id/rb_mine"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:button="@null"
            android:drawableTop="@drawable/selector_mine_navigation_icon"
            android:gravity="center"
            android:text="我的"
            android:textColor="@drawable/selector_main_navigation_color"
            android:textSize="@dimen/sp_10" />
    </RadioGroup>

</androidx.constraintlayout.widget.ConstraintLayout>